
Redmine - Defect #6459

Unhandled exception on when accessing issues feed where issues have custom fields

2010-09-21 19:25 - Jan from Planio www.plan.io

Status: Closed Start date: 2010-09-21

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 0%

Category: Feeds Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

The issues feed is broken in cases where there are custom fields defined.

Error:

ActionView::TemplateError: undefined method `format_value' for #&lt;ActionView::Base:0x7aa4d88&gt;

 Relevant backtrace:

--- 

- "On line #23 of app/views/journals/index.rxml" 

- "20:       xml.content \"type\" => \"html\" do" 

- "21:         xml.text! '<ul>'" 

- "22:         change.details.each do |detail|" 

- "23:           xml.text! '<li>' + show_detail(detail, false) + '</li>'" 

- "24:         end" 

- "25:         xml.text! '</ul>'" 

- "26:         xml.text! textilizable(change, :notes, :only_path => false) unless change.notes.bla

nk?" 

- app/helpers/issues_helper.rb:134:in `show_detail'

 A patch is attached. Please check and commit.

History

#1 - 2010-09-25 17:25 - Jan from Planio www.plan.io

this is an easy one, would be great if it made it into 1.0.2

#2 - 2010-10-16 01:35 - Eric Davis

- Status changed from New to Closed

- Resolution set to Cant reproduce

I can't reproduce this.  Can you post the full stacktrace with the params used or include a failing test in your patch?

Files

issues_helper.patch 329 Bytes 2010-09-21 Jan from Planio www.plan.io
